@charset "utf-8";

/* settings */
:root {
  --primary-color-dark: #1a4973;
}
::selection {
  color: #e4f0f5;
  background-color: #46afeb;
}
html,
body {
  padding: 0;
  margin: 0;
  overflow: hidden;
  width: 100%;
  height: 100%;
  color: #1a4973;
  color: var(--primary-color-dark);
}
*,
:after,
:before {
  box-sizing: border-box;
}
a {
  color: #1a4973;
  color: var(--primary-color-dark);
}
/* END settings */

/* bg */
#background-image {
  position: absolute;
  top: 20%;
  right: 0;
  bottom: 20%;
  left: 0;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
/* END bg */

/* text */
#text {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  text-align: center;
  overflow: hidden;
  font-size: 0;
  height: 20%;
}
#text .title {
  position: absolute;
  text-align: center;
  width: 100%;
  bottom: 12px;
}
/* END text */

/* form */
#login-form {
  position: absolute;
  top: calc(40% - 100px);
  right: 15%;
  width: 260px;
  padding: 16px;
  overflow: hidden;
  background-color: white;
  border-radius: 4px;
  font-size: 0;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  -khtml-user-select: none;
  user-select: none;
  z-index: 1;
}
#login-form .title {
  font-size: 20px;
  font-family: 黑体;
  text-align: center;
  height: 36px;
  line-height: 24px;
  border-bottom: 1px solid #cecece;
  margin-bottom: 16px;
  padding-bottom: 12px;
}
#login-form .input-area {
  position: relative;
  height: 36px;
  margin: 16px;
}
#login-form input {
  height: 100%;
  width: 100%;
  border-radius: 36px;
  padding: 0 30px;
  border: 1px solid #1a4973;
  border: 1px solid var(--primary-color-dark);
  font-size: 12px;
  background: white;
  color: #1a4973;
  color: var(--primary-color-dark);
  box-shadow: none;
  outline: none;
  transition: all ease-in-out 0.2s;
}
#login-form input[type="text"],
#login-form input[type="password"] {
  box-shadow: 0 0 0px 20px white inset;
  -webkit-box-shadow: 0 0 0px 20px white inset;
}
#login-form input:focus {
  border: 1px solid #46afeb;
}
#login-form input[type="text"].error,
#login-form input[type="password"].error {
  border-color: #f44336;
}
#login-form .input-area label {
  position: absolute;
  top: 8px;
  left: 30px;
  padding: 0 2px;
  display: block;
  color: #495057;
  font-size: 12px;
  border: 1px solid transparent;
  transition: all ease-in-out 0.1s;
  cursor: text;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  -khtml-user-select: none;
  user-select: none;
}
#login-form .input-area input:not(:placeholder-shown) {
  background: white;
}
#login-form .input-area input.move-to-bottom {
  padding: 14px 30px 0px 30px;
}
#login-form .input-area input:focus ~ label,
#login-form .input-area input:not(:placeholder-shown) ~ label {
  top: -8px;
  left: 18px;
  font-size: 10px;
  color: #808080;
  background: white;
  transform: scale(0.85);
  transform-origin: 0 50%;
}
#login-form .input-area label.move-to-top {
  padding: 3px 0 0 30px;
  font-size: 10px;
  color: #808080;
}
#login-form input::-webkit-input-placeholder {
  color: transparent;
}
#login-form input::-moz-placeholder {
  color: transparent;
}
#login-form input:-moz-placeholder {
  color: transparent;
}
#login-form .input-area img#loginVerifyCode {
  position: absolute;
  top: 0;
  right: 0;
  padding: 9px 12px 9px 0;
  display: block;
  height: 100%;
  cursor: pointer;
}
#login-form .input-area input#remebered {
  width: 14px;
  height: 14px;
  vertical-align: middle;
  margin-left: 32px;
  cursor: pointer;
}
#login-form .input-area label#remebered_lb {
  display: inline;
  position: relative;
  padding: 0;
  vertical-align: middle;
  top: 0;
  left: 0;
  cursor: pointer;
  background: unset;
}
#login-form .input-area #login-btn {
  width: 80%;
  height: 80%;
  border: 1px solid #1a4973;
  border: 1px solid var(--primary-color-dark);
  color: #ffffff;
  background-color: #1a4973;
  background-color: var(--primary-color-dark);
  border-radius: 4px;
  outline: none;
  cursor: pointer;
  transition: all ease 0.2s;
}
#login-form .input-area #login-btn:hover {
  opacity: 0.85;
}
#login-form .input-area #register-btn {
  width: 80%;
  height: 80%;
  border: 1px solid #1a4973;
  border: 1px solid var(--primary-color-dark);
  color: #1a4973;
  color: var(--primary-color-dark);
  background-color: white;
  border-radius: 4px;
  outline: none;
  cursor: pointer;
  transition: all ease 0.2s;
}
#login-form .input-area #register-btn:hover {
  opacity: 0.85;
}
/* END form */

/* footer */
#footer {
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;
  color: #1a4973;
  color: var(--primary-color-dark);
  text-align: center;
  font-family: 微软雅黑;
  font-size: 12px;
  padding: 16px 0;
  height: 20%;
}
#footer .block {
  display: inline-block;
  vertical-align: middle;
}
#footer .wechat-qrcode {
  margin-right: 8px;
}
/* END footer */

/* QRCode */
#login-QRCode {
  display: inline-block;
  margin-right: 24px;
  vertical-align: middle;
}
/* END QRCode */

/* SMS */
#sendSMSVerifyCode {
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  border-top-right-radius: 18px;
  border-bottom-right-radius: 18px;
  border: none;
  margin: 1px;
  cursor: pointer;
  background: #efefef;
  transition: all ease-in-out 0.2s;
  width: 80px;
  text-align: center;
}
#sendSMSVerifyCode:hover {
  opacity: 0.8;
}
/* END SMS */

/* loginType */
#login-form .login-type {
  font-size: 16px;
  font-family: 微软雅黑;
  text-align: center;
}
#login-form .login-type .login-type-button {
  display: inline-block;
  cursor: pointer;
  padding-bottom: 4px;
  border-bottom: 3px solid;
  border-bottom: 3px solid transparent;
  opacity: 0.8;
  transition: all ease-in-out 0.2s;
}
#login-form .login-type .login-type-button.selected {
  border-bottom-color: currentColor;
  opacity: 1;
}
/* END loginType */
